<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_block_option_paragraph($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-02-blockoption'); // 元の値を保持

	/* 段落 */
	/* テキストフィールド（文字列） */
	if ( isset( $value['paragraph-tag-style'] ) && is_string( $value['paragraph-tag-style'] ) ) {
		$value['paragraph-tag-style'] = esc_html( $value['paragraph-tag-style'] ); // サニタイズ
	} else {
		if ( isset( $original_value['paragraph-tag-style'] ) ) {
			$value['paragraph-tag-style'] = $original_value['paragraph-tag-style']; // 元の値を保持
		} else {
			$value['paragraph-tag-style'] = '';
		}
	}


	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}